Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IListData

public interface IListData

Interface fuer ListDataEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer ListDataEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addListDataListener(ListDataListener listener)` Fuegt dem Control den uebergebenen Listener als ListDataListener hinzu.
`String` | `getActionClassForListData()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ListDataEvent ausgeloest wurde.
`void` | `removeListDataListener(ListDataListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForListData(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ListDataEvent ausgeloest wurde.

Method Detail

### getActionClassForListData

    public String getActionClassForListData()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ListDataEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer ListDataEvent.

### setActionClassForListData

    public void setActionClassForListData(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ListDataEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ListDataEvent.

### addListDataListener

    public void addListDataListener(ListDataListener listener)

  Fuegt dem Control den uebergebenen Listener als ListDataListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende ListDataListener.

### removeListDataListener

    public void removeListDataListener(ListDataListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD